FLAM4SEPA-API FLAM4 SEPA Archive Interface (z/OS only)

Data Fields
F4sUpdateIn Struct Reference
Data types

Input parameter structure to update records in or delete from an archive. More...

`#include <FL4SEPA.h>`

## Data Fields
C08 | acDelete [1]
| Set to 'Y' will delete the record, anything else will update the record. More...
C08 | acDsnUpd [F4S_DSNAMELEN]
| Name of the FLAMFILE containing the records for update. More...
C08 | acDsnSig [F4S_DSNAMELEN]
| DSN for signature FLAMFILE of SEPA archive. More...
C08 | acDsnTra [F4S_DSNAMELEN]
| DSN for transaction FLAMFILE of SEPA archive. More...

## Detailed Description

Input parameter structure to update records in or delete from an archive.

This structure consists of three data set names. The first DSN defines the FLAMFILE containing the transaction records to be updated. The other two DSN are the signature and transaction FLAMFILE of the SEPA archive. A flag activates deletion of the defined record.

For deleting a record, only the transaction key (first 50 bytes) must be provided. For updating, the complete transaction record including a correct length field for the used version must be specified. The record can be longer (e.g. the load dataset). The length field of length 5 at offset 50 is used for update.

To update a record, the version 23 of the FLAM 4 SEPA archive with a KSDS for the signature file is required. The function internally calls the migrate function to ensure this.

# The data structure in COBOL

    01 LG-PARMS.
       05 LG-PARMS-IN-DSNS.
          10  DELETE   PIC X(1)  VALUE "N".
          10  DSN-UPD  PIC X(44) VALUE "FLAM.F4S21.UPDATE.VR8".
          10  DSN-SIG  PIC X(44) VALUE "FLAM.F4S21.SIGDAT.VR8".
          10  DSN-TRA  PIC X(44) VALUE "FLAM.F4S21.TRADAT.VR8".

## Field Documentation

## ◆ acDelete

C08 F4sUpdateIn::acDelete[1]

Set to 'Y' will delete the record, anything else will update the record.

## ◆ acDsnUpd

C08 F4sUpdateIn::acDsnUpd[F4S_DSNAMELEN]

Name of the FLAMFILE containing the records for update.

## ◆ acDsnSig

C08 F4sUpdateIn::acDsnSig[F4S_DSNAMELEN]

DSN for signature FLAMFILE of SEPA archive.

## ◆ acDsnTra

C08 F4sUpdateIn::acDsnTra[F4S_DSNAMELEN]

DSN for transaction FLAMFILE of SEPA archive.

The documentation for this struct was generated from the following file:

- FL4SEPA.h